com.trendmicro.ds.platform.rest.object.administratorroles

## Class AddAdministratorRoleRightsRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.administratorroles.AddAdministratorRoleRightsRequest

-     public class AddAdministratorRoleRightsRequest
      extends java.lang.Object

  Request object for the AddAdministratorRoleRights API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddAdministratorRoleRightsRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getRights()` Get the list of right IDs to add to the administrator role.
    `void` | `setRights(java.util.List<java.lang.String> rights)` Set the list of right IDs to add to the administrator role.
    `AddAdministratorRoleRightsRequest` | `withRights(java.util.List<java.lang.String> rights)` Set the list of right IDs to add to the administrator role.
    `AddAdministratorRoleRightsRequest` | `withRights(java.lang.String... rights)` Set the list of right IDs to add to the administrator role.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddAdministratorRoleRightsRequest

          public AddAdministratorRoleRightsRequest()

  - ### Method Detail

    - #### getRights

          public java.util.List<java.lang.String> getRights()

      Get the list of right IDs to add to the administrator role.
      Returns:
        the list of right IDs to add to the administrator role.

    - #### setRights

          public void setRights(java.util.List<java.lang.String> rights)

      Set the list of right IDs to add to the administrator role.
      Parameters:
        `rights` - the list of right IDs to add to the administrator role.

    - #### withRights

          public AddAdministratorRoleRightsRequest withRights(java.util.List<java.lang.String> rights)

      Set the list of right IDs to add to the administrator role.
      Parameters:
        `rights` - the list of right IDs to add to the administrator role.
      Returns:
        the updated AddAdministratorRoleRightsRequest object.

    - #### withRights

          public AddAdministratorRoleRightsRequest withRights(java.lang.String... rights)

      Set the list of right IDs to add to the administrator role.
      Parameters:
        `rights` - the list of right IDs to add to the administrator role.
      Returns:
        the updated AddAdministratorRoleRightsRequest object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.